Package com.sap.ai.sdk.orchestration.model

# Interface EmbeddingsModelParamsEncodingFormat

All Known Implementing Classes:
  `EmbeddingsModelParamsEncodingFormat.InnerEncodingFormat`, `EmbeddingsModelParamsEncodingFormat.ListOfEncodingFormats`

public interface EmbeddingsModelParamsEncodingFormat
The format to return the embeddings in. Can be a single format or an array of formats. OpenAI's spec allows for 'float' and 'base64' encoding formats.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `EmbeddingsModelParamsEncodingFormat.InnerEncodingFormat`
  Helper class to create `EncodingFormat` that implements `EmbeddingsModelParamsEncodingFormat`.
  `static final record`
  `EmbeddingsModelParamsEncodingFormat.ListOfEncodingFormats`
  Helper class to create `List<EncodingFormat>` that implements `EmbeddingsModelParamsEncodingFormat`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static EmbeddingsModelParamsEncodingFormat.InnerEncodingFormat`
  `createInnerEncodingFormat(EncodingFormat val)`
  Creator to enable deserialization of `EncodingFormat` .
  `static EmbeddingsModelParamsEncodingFormat.ListOfEncodingFormats`
  `createListOfEncodingFormats(List<EncodingFormat> val)`
  Creator to enable deserialization of `List<EncodingFormat>` .

- ## Method Details

  - ### createListOfEncodingFormats

    @Nonnull static EmbeddingsModelParamsEncodingFormat.ListOfEncodingFormats createListOfEncodingFormats(@Nonnull List<EncodingFormat> val)
    Creator to enable deserialization of `List<EncodingFormat>` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `EmbeddingsModelParamsEncodingFormat.ListOfEncodingFormats`.

  - ### createInnerEncodingFormat

    @Nonnull static EmbeddingsModelParamsEncodingFormat.InnerEncodingFormat createInnerEncodingFormat(@Nonnull EncodingFormat val)
    Creator to enable deserialization of `EncodingFormat` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `EmbeddingsModelParamsEncodingFormat.InnerEncodingFormat`.